GETRESUID(2)

NAME
getresuid, getresgid - get real, effective and saved user or group ID

SYNOPSIS
#include <unistd.h>

int getresuid(uid_t *ruid, uid_t *euid, uid_t *suid);
int getresgid(gid_t *rgid, gid_t *egid, gid_t *sgid);

DESCRIPTION
getresuid and getresgid (both introduced in Linux 2.1.44) get the real, effective and saved user ID's (resp. group ID's) of the current process.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EFAULT
    One of the arguments specified an address outside the calling program's address space.

CONFORMING TO
This call is Linux-specific.

SEE ALSO
getuid(2), setuid(2), getreuid(2), setreuid(2), setresuid(2)